com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface MessageItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MessageItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Message Item'.

  The following features are supported:

  - `Posted Message`
  - `Test Node`
  See Also:
    `TreesetPackage.getMessageItem()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PostedMessage` | `getPostedMessage()` Returns the value of the 'Posted Message' reference
    `TestNode` | `getTestNode()` Returns the value of the 'Test Node' reference.
    `void` | `setPostedMessage(PostedMessage value)` Sets the value of the '`Posted Message`' reference
    `void` | `setTestNode(TestNode value)` Sets the value of the '`Test Node`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPostedMessage

          PostedMessage getPostedMessage()

      Returns the value of the 'Posted Message' reference.

      If the meaning of the 'Posted Message' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Posted Message' reference.
      See Also:
        `setPostedMessage(PostedMessage)`, `TreesetPackage.getMessageItem_PostedMessage()`

    - #### setPostedMessage

          void setPostedMessage(PostedMessage value)

      Sets the value of the '`Posted Message`' reference.
      Parameters:
        `value` - the new value of the 'Posted Message' reference.
      See Also:
        `getPostedMessage()`

    - #### getTestNode

          TestNode getTestNode()

      Returns the value of the 'Test Node' reference. It is bidirectional and its opposite is '`Message Item`'.

      If the meaning of the 'Test Node' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Test Node' reference.
      See Also:
        `setTestNode(TestNode)`, `TreesetPackage.getMessageItem_TestNode()`, `TestNode.getMessageItem()`

    - #### setTestNode

          void setTestNode(TestNode value)

      Sets the value of the '`Test Node`' reference.
      Parameters:
        `value` - the new value of the 'Test Node' reference.
      See Also:
        `getTestNode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.